Bug 866542 - sssd_be crashes while looking up users
sssd_be crashes while looking up users
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd (Show other bugs)
6.4
Unspecified Unspecified
high Severity unspecified
: rc
: ---
Assigned To: Jakub Hrozek
Kaushik Banerjee
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 11:20 EDT by Kaushik Banerjee
Modified: 2013-02-21 04:37 EST (History)
4 users (show)

See Also:
Fixed In Version: sssd-1.9.2-3.el6
Doc Type: Bug Fix
Doc Text:
No Documentation Needed
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 04:37:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Crash backtrace (5.32 KB, text/plain)
2012-10-15 11:21 EDT, Kaushik Banerjee
no flags Details

  None (edit)
Description Kaushik Banerjee 2012-10-15 11:20:16 EDT
Description of problem:
sssd_be crashes while looking up users

Version-Release number of selected component (if applicable):
sssd-1.9.2-2.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. sssd.conf domain section:
[domain/LDAP]
debug_level = 0xFFF0
id_provider = ldap
auth_provider = ldap
ldap_uri = ldap://ldapserver.example.com
ldap_search_base = dc=example,dc=com
ldap_tls_cacert = /etc/openldap/certs/server.pem

2. Lookup a user in ldap:
# getent passwd kau1    <== Returns nothing. sssd_be crashes
  
Actual results:
Lookup fails and sssd_be crashes.

Expected results:
Lookup succeeds

Additional info:

/var/log/messages shows:

Oct 15 19:48:40 dhcp201-200 kernel: sssd_be[6250]: segfault at 0 ip 00007fe25bf46351 sp 00007fff7b9686d0 error 4 in libsss_ldap.so[7fe25be58000+139000]
Oct 15 19:48:40 dhcp201-200 abrtd: Directory 'ccpp-2012-10-15-19:48:40-6250' creation detected
Oct 15 19:48:40 dhcp201-200 abrt[6263]: Saved core dump of pid 6250 (/usr/libexec/sssd/sssd_be) to /var/spool/abrt/ccpp-2012-10-15-19:48:40-6250 (1265664 bytes)
Oct 15 19:48:40 dhcp201-200 sssd[be[LDAP]]: Starting up
Comment 1 Kaushik Banerjee 2012-10-15 11:21:20 EDT
Created attachment 627513 [details]
Crash backtrace
Comment 2 Jakub Hrozek 2012-10-15 11:33:52 EDT
Upstream ticket:
https://fedorahosted.org/sssd/ticket/1581
Comment 4 Jakub Hrozek 2012-10-15 11:37:28 EDT
This crash occurs when there is either no namingContexts attribute or it has multiple values (which was Kaushik's case). It is a regression caused by our fix to #854619.
Comment 7 Kaushik Banerjee 2012-11-09 06:43:14 EST
Verified in version 1.9.2-7. Multiple naming context tests now pass.

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: naming_context_09 multiple namingcontexts and ldap_search_base is specified
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running '> /var/log/sssd/sssd_LDAP.log'
:: [   PASS   ] :: Running 'default_conf_naming_context'
:: [   PASS   ] :: Running 'echo "ldap_search_base = dc=example2,dc=com" >> /etc/sssd/sssd.conf'
:: [   PASS   ] :: Running 'service sssd stop'
:: [   PASS   ] :: Running 'rm -fr /var/lib/sss/db/*.ldb /var/lib/sss/mc/*'
:: [   PASS   ] :: Running 'service sssd start'
:: [   PASS   ] :: napping for 6 secs...
:: [   PASS   ] :: Running 'restart_clearing_cache'
:: [   PASS   ] :: Running 'getent -s sss passwd nc1'
:: [   PASS   ] :: Running 'getent -s sss group nc1_grp1'
:: [   PASS   ] :: Running 'getent -s sss netgroup nc1_netgroup1'
:: [   LOG    ] :: Duration: 14s
:: [   LOG    ] :: Assertions: 11 good, 0 bad
:: [   PASS   ] :: RESULT: naming_context_09 multiple namingcontexts and ldap_search_base is specified
Comment 8 errata-xmlrpc 2013-02-21 04:37:41 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0508.html

Note You need to log in before you can comment on or make changes to this bug.